Process Meter

HostMonitor's Main Page Process Meter
Version 1.00
Copyright (c) 2008 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

Process Meter is an auxiliary application for HostMonitor, however it can be used independently as well. Process Meter is included into Advanced Host Monitor package (since version 7.20) and can also be downloaded separately at the download page.

Process Meter Process Meter displays chart with information about all processes running on local or remote system. It may show the following information for each process:

  • CPU usage
  • Handles
  • Threads
  • Memory usage
  • VM size
  • Address space usage

Each process represented by a bar; red colored bar indicates process that uses resources over specified limit. You may specify limits using menu View ->Set limits. When you are using HostMonitor to start Process Meter, HostMonitor sets resource usage limit using test properties (Dominant Process test).
You may click on the bar to see detailed process information.

menu File
Target host | - | this menu item allows you to specify target host connection parameters
Copy image to Clipboard | - | copies the chart as an image into the clipboard
Save to File | - | saves an image of the chart as a bitmap or WMF (Windows Meta File)
Print | - | brings up Print Preview dialog and allows you to print the chart
Exit | - | closes application
menu View
CPU usage | - | shows amount of CPU time (%) used by each process. If there are several CPUs installed on the system, CPU load can be over 100%.
Handles | - | this menu item tells the application to show the total number of handles currently open by the processes. Handles number is the sum of the handles currently open by each thread in the process.
Threads | - | tells ProcessMeter to show the number of threads currently active in each process. An instruction is the basic unit of execution in a processor, and a thread is the object that executes instructions. Every running process has at least one thread.
Memory usage | - | shows the current number of kilobytes (KB) in the Working Set of the processes. The Working Set is the set of memory pages touched recently by the threads in the process. If free memory in the computer is above a threshold, pages are left in the Working Set of a process even if they are not in use. When free memory falls below a threshold, pages are trimmed from Working Sets. If they are needed they will then be soft-faulted back into the Working Set before they leave main memory.
VM size | - | this menu item tells the application to show the current size in kilobytes (KB) of pages allocated that are only accessible to the process.
Address space | - | shows current size of the virtual address space that processes are using, not the physical or virtual memory actually used by the process. Use of virtual address space does not necessarily imply corresponding use of either disk or main memory pages. Virtual space is finite, and by using too much, the process might not be able to load libraries.
Refresh | - | tells Process Meter to collect up-to-date information from target system and update the chart.
Auto refresh ON | - | using this menu item you may setup Process Meter to update the chart on regular basis, e.g. every 5 sec.
Auto refresh OFF | - | use this menu to disable "auto refresh" option.
Display labels | - | turns on/off chart labels. Label - a mark near a bar on the chart. A mark consist of a colored rectangle with a process name on it and a line that indicates which bar corresponds to which mark. Note: when you point mouse cursor on some bar, Process Meter will display corresponding process name in the status bar (regardless of "Display labels" option).
Set limits | - | brings up "Set limits" dialog window. Using this dialog you may setup threshoulds separately for each "view" mode. Process Meter will show red colored bar when a process uses resources over specified limit. E.g. you may setup application to use red color when a process uses more than 30% CPU, more than 1100 handles or more than 90,000 KB of memory.

Process Meter can be started as an independent application or it can be launched by HostMonitor: Dominant Process and Process test methods offer "Process Meter" popup menu item that allows you to launch application to check specified system. In such case HostMonitor sends test parameters to Process Meter.

Connecting to remote host

Process Meter allows you to request local (the system where application is running) and remote systems. To connect to the remote system you may use GUI or command line parameters.

GUI:
If you have already started Process Meter and you need to connect to another system, use menu "File" -> "Target host". In the connection dialog you should specify the hostname (or IP address), login name and password.

Command line:
You may specify connection parameters in command line so that Process Meter connects to specified system right after startup.
Format of the command line:
>processmeter.exe [-host:<hostname>] [-user:<username>] [-pswd:<password>] [-mode:<mode>] [-limit:<limit>]
Where
<hostname> - host name or IP address of the destination host. If this parameter is not specified, application will check local system
<username> - this parameter allows you to specify account that should be used for connection with remote system
<password> - password for connection. If password contains space character(s), use quotation marks to wrap parameter
<mode> - one of the following strings:
  • cpu
  • handles
  • threads
  • memory
  • vmem
  • addrspace
<limit> - using this parameter you may setup threshould for specified "view" mode (see "-mode" parameter). Process Meter will show red colored bar when a process uses resources over specified limit. Note: when you are using "memory", "vmem" or "addspace" mode, limit is specified in KB (e.g. "-limit:5000" sets threshold to 5,000 KB)
Examples:
>processmeter.exe -host:primarywebserv "-user:admin" "-pswd:secret words" -mode:handles -limit:550
>processmeter.exe -mode:vmem -limit:50000
>processmeter.exe -mode:memory

System requirements

Process Meter can be started on the following systems without any additional software packages:

  • Windows ME
  • Windows 2000
  • Windows XP
  • Windows 2003
  • Windows Vista

Also you may start Process Meter on Windows 95, 98 or Windows NT 4.0. In such a case you should install the WMI Core software package (available at Microsoft's web site).
Please note: WMI CORE for Windows 95/98/NT requires Microsoft Internet Explorer version 5 or later.

Known problems

OS: Windows XP SP2
Problem: built-in firewall may block Process Meter requests from remote systems
In order to remotely monitor a Windows XP SP2 machine, you will need to configure the built-in firewall. If the Windows firewall is enabled and if it hasn't been configured to accept a WMI connection, Process Meter (and HostMonitor) will not be able to connect to the system. In such a case, HostMonitor shows "The RPC Server is unavailable" error.
To configure Windows XP firewall to accept WMI connections, you need to enable the "Allow remote administration exception" group policy entry. This setting can either be configured on the local group policy of a machine or globally by configuring the global Group Policy settings of an Active Directory domain.

OS: Windows 95/98/NT
Problem: winmgmt.exe does not start automatically on such systems
If you want to monitor Windows 95/98/NT systems, you should install WMI Core software package AND perform following steps:

  • enable DICOM (set HKLM\SOFTWARE\Microsoft\OLE\EnableDCOM to "Y")
  • enable remote connections (set HKLM\SOFTWARE\Microsoft\OLE\EnableRemoteConnect to "Y")
  • set HKLM\SOFTWARE\Microsoft\WBEM\CIMOM\AutoStartWin9x to 2
  • add link to the Winmgmt.exe file into the Startup directory

OS: Windows 2000,XP,2003
Problem: Process Meter shows "Class ISWbemLocator is not registered" error
Windows 2000, XP, 2003 do have the WMI pre-installed. If application returns such an error, it is most likely that there is system registry problem. The following article shows how to fix a corrupted WMI repository and how to register the WMI components: Rebuilding the WMI Repository

Other useful links:

  • The following article describes how to troubleshoot "Access is denied" error: http://www.microforge.net/kb/62
  • This article shows how to troubleshoot "RPC Server Unavailable" error: http://www.microforge.net/kb/36
  • Microsoft article "How to troubleshoot WMI-related issues in Windows XP SP2": http://support.microsoft.com/...875605
  • If you are receiving "This schema for this assembly has not been registered with WMI" error, there is hotfix available from Microsoft

How much does it cost?

When you purchase an Advanced Host Monitor (Enteprise or Professional license) you will get the license for Process Meter at no additional cost.
Advanced Host Monitor package is available in several licensing options: Lite ($99), Standard ($175), Professional ($350), Enterprise ($599) and Enterprise With Lifetime Updates ($1199). You can order by credit card, Switch and Solo debit cards, check/money order or wire transfer order. If you are concerned about submitting your order and/or credit card information online, you may register the Advanced Host Monitor via phone, fax or postal mail.
Details..


[HostMonitor] Copyright/License/Warranty

hmtitle3.gif (3014 bytes)
Copyright / License / Warranty
Advanced Host Monitor HostMonitor What's New What's New Process Meter Process Meter Download HostMonitor Download Registration Information Buy now

Evaluation License
(If you have purchased a license for the registered version of the program, see the section Registered version license)

Evaluation and Registration

Advanced Host Monitor is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes, without charge, for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee is required.

Distribution of Evaluation Version

Provided you verify that you are distributing the evaluation version (see License window to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; distribute exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of these actions. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of this program after the 30-day evaluation period is in violation of international copyright laws.

Registered Version License
(If you are using an evaluation version of the program, see the section entitled Evaluation License.)

The single license allows you to install the software on ONE system. If you want to run (install) application on a number of systems then you have to buy the same number of licenses. The same rule is applicable to any of the auxiliary tools of Advanced Host Monitor package. Example: if you want to install HostMonitor on 1 system and start HM Web Service on 2 different systems, you need 1 license for HostMonitor and 2 licenses for Web Service. However the number of users that may control HostMonitor via those two Web Services is unlimited.

Notice:

Advanced Host Monitor may not be sold or resold, distributed as a part of any commercial package, or distributed to support any kind of profit-generating activity, even if it is being distributed freely. If you would like to distribute Advanced Host Monitor as part of a commercial distribution, magazine, Internet book, CD-ROM, etc., please contact us for permission.

Disclaimer:

Advanced Host Monitor is shareware and is provided "as is" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.